Subject: Energy Solutions Gas USA Inc - Confidentiality
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 27 Jun 2001 05:53:39 -0700 (PDT)

I have received the executed CA from Energy Solutions.  I will return a copy to customer and send a copy to fuller and nemec.  

Dave, please coordinate next steps with client including an immediate review of all the commercial details that they can share with us, including any paper that they have or are contemplating.  

I am OK with a meeting on monday ( late ) or tues a.m... in L.A. but will insist that we see some paperwork first to determine our next steps.

Pls advise after you have talked to customer.

BT